package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.CareerSkill;
import org.dromara.ygpassport.domain.vo.CareerSkillVo;
import org.dromara.ygpassport.domain.bo.CareerSkillBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 职业技能证书Service接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface ICareerSkillService extends MPJBaseService<CareerSkill> {

    /**
     * 查询职业技能证书
     */
    CareerSkillVo queryById(Long id);

    /**
     * 查询职业技能证书列表
     */
    TableDataInfo<CareerSkillVo> queryPageList(CareerSkillBo bo, PageQuery pageQuery);

    /**
     * 查询职业技能证书列表
     */
    List<CareerSkillVo> queryList(CareerSkillBo bo);

    /**
     * 根据学号查询职业技能证书列表
     */
    List<CareerSkillVo> queryListByStuNo(String stuNo);

    /**
     * 新增职业技能证书
     */
    Boolean insertByBo(CareerSkillBo bo);

    /**
     * 修改职业技能证书
     */
    Boolean updateByBo(CareerSkillBo bo);

    /**
     * 校验并批量删除职业技能证书信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
